<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2010 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at www.gnu.org/licenses/agpl.html. Removal of this    |
| copyright header is strictly prohibited without       |
| written permission from the original author(s).       |
+------------------------------------------------------*/
/*------------------------------------------------------+
|     Theme D-Blog for PHP-Fusion v7                    |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| Author: Harly Petersen                                |
| Homepage: http://php-fusion.openworld.dk/             |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

function render_page($license=false) {
	
	global $settings, $main_style, $locale, $aidlink, $userdata;
	
	//Header
	echo "<div id='full-header' style='width:".THEME_WIDTH.";'>\n";
	echo "<div class='header-top floatfix'>";
        include LOCALE.LOCALESET."search.php";
	echo "<div style='float:left;width:200px;padding-top:3px;'>
              <form name='searchform1' method='get' action='".BASEDIR."search.php'>
              <input type='text' name='stext' class='textbox' maxlength='125' style='width:125px'/>&nbsp;
              <input type='submit' name='login' value='".$locale['402']."' class='button' style='margin:0;vertical-align:middle;'/>
              </form>\n</div>\n";
	echo "<div style='float:right;line-height:20px;margin-right:20px;'>";
        include THEME."header-login.php";
	echo "</div>\n</div>\n";
	echo "<div class='header clearfix'>".showbanners()."</div>\n";
	echo "<div style='height:10px;Background:url(".THEME."images/black-white.gif) repeat-x;'></div>\n";
	echo "</div>\n";

	//Sub-Header
	echo "<div class='clearfix' style='width:990px;margin:0 auto;'>\n";
	echo "<div class='white-header'>\n";
        include THEME."TinyDropdown/tinydropdown.php";
	echo "</div>\n";
	echo "</div>\n";
	
	//Content
	echo "<div id='container'>\n";
	if (LEFT || RIGHT) { echo "<div id='side-border-left'>".LEFT."<div id='side-border-right'>".RIGHT."</div>\n</div>\n"; }
	echo "<div id='main-bg'>".U_CENTER.CONTENT.L_CENTER."</div>\n";
	echo "</div>\n";
	
	//Footer
	echo "<div class='clear' style='width:".THEME_WIDTH.";'>\n";
	echo "<div class='footer' style='margin:0;'>\n";
	echo showcounter();
	echo "<p style='float:right;'>Theme <strong>D-Blog</strong> by <a href='http://php-fusion.openworld.dk/' target='_blank'>Harly</a></p>\n";
	echo "<div style='text-align:center;'>\n";
	echo stripslashes($settings['footer'])."<br />\n";
	if ($license == false) {
		echo showcopyright();
	}
	echo "</div>\n</div>\n</div>\n";
	echo "<div style='width:".THEME_WIDTH.";height:10px;Background:url(".THEME."images/black-white.gif) repeat-x;'></div>\n";
}

function render_news($subject, $news, $info) {
	global $settings, $main_style, $locale, $userdata, $data;

	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='news-footer'><img src='".THEME."images/doc.gif' alt='doc.gif' style='vertical-align:top;margin-right:1px;' />".$locale['global_070']." <a href='profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".$data['user_name']."</a>&nbsp;&middot;&nbsp;".newsopts($info," &middot; ")."".itemoptions("N",$info['news_id'])."</div><hr />\n";
	echo "<div class='blog-body floatfix'>\n";
        include THEME."date/newsdate.php";
	echo $news."</div>\n";
	echo "<div class='spacer' style='height:5px;Background:url(".THEME."images/white-green.gif) repeat-x;'></div>\n";

}

function render_article($subject, $article, $info) {
	global $settings, $main_style, $locale, $userdata, $data;

	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='news-footer'><img src='".THEME."images/doc.gif' alt='doc.gif' style='vertical-align:top;margin-right:1px;' />".$locale['global_070']." <a href='profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".$data['user_name']."</a>&nbsp;&middot;&nbsp;".articleopts($info," &middot;")."".itemoptions("A",$info['article_id'])."</div><hr />\n";
	echo "<div class='blog-body floatfix'>\n";
        include THEME."date/articledate.php";
        echo ($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='spacer' style='height:5px;Background:url(".THEME."images/white-green.gif) repeat-x;'></div>\n";

}

function opentable($title) {

	echo "<div class='capmain'>$title</div>\n";
	echo "<div style='background: #F1F5F5 url(".THEME."images/green-white.gif) repeat-x;height:5px;'></div>\n";
	echo "<div class='main-body floatfix'>\n";

}

function closetable() {

	echo "</div>\n";
	echo "<div class='spacer' style='height:5px;Background:url(".THEME."images/white-green.gif) repeat-x;'></div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;

	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='scapmain' style='float:right;'>".panelbutton($state,$boxname)."</div>\n";
	}
	echo "<div class='scapmain'>".$title."</div>\n";
	echo "<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n";
	echo "<div class='spacer' style='height:5px;Background:url(".THEME."images/white-blue.gif) repeat-x;'></div>\n";

}

?>